Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1119117 - Review Request: perl-Algorithm-Cron - Abstract implementation of the cron(8) scheduling algorithm
Summary: Review Request: perl-Algorithm-Cron - Abstract implementation of the cron(8) ...
Keywords:
Status: CLOSED DUPLICATE of bug 1205635
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1119013
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-07-14 04:09 UTC by Christopher Meng
Modified: 2015-03-25 11:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-25 11:06:19 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-07-14 04:09:48 UTC
Spec URL: http://us-la.cicku.me/perl-Algorithm-Cron.spec
SRPM URL: http://us-la.cicku.me/perl-Algorithm-Cron-0.09-1.fc22.src.rpm
Description: Objects in this class implement a time scheduling algorithm such as used by cron(8). Objects are stateless once constructed, and represent a single
schedule as defined by a crontab(5) entry. The object implements a method
next_time which returns an epoch timestamp value to indicate the next time
included in the crontab schedule.
Fedora Account System Username: cicku

Comment 1 Jitka Plesnikova 2014-07-22 10:21:47 UTC
License is ok
URL and Source0 are ok

Summary and Description are ok

Package builds in F22 - http://koji.fedoraproject.org/koji/taskinfo?taskID=7171971

Build-requires
FIX: Add build-requires 'perl(constant)' - ./lib/Algorithm/Cron.pm:198

$ rpm -qp --provides perl-Algorithm-Cron-0.09-1.fc22.noarch.rpm | sort | uniq -c
      1 perl(Algorithm::Cron) = 0.09
      1 perl-Algorithm-Cron = 0.09-1.fc22
Binary provides ok

$ rpm -qp --requires perl-Algorithm-Cron-0.09-1.fc22.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(Carp)
      1 perl(POSIX)
      2 perl(Time::timegm)
      1 perl(constant)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: Remove requires perl(Time::timegm) from spec file, it is found by
     dependency generator.

$ rpmlint perl-Algorithm-Cron*
perl-Algorithm-Cron.src: W: spelling-error %description -l en_US crontab -> contactable
perl-Algorithm-Cron.src: W: spelling-error %description -l en_US timestamp -> time stamp, time-stamp, times tamp
perl-Algorithm-Cron.noarch: W: spelling-error %description -l en_US crontab -> contactable
perl-Algorithm-Cron.noarch: W: spelling-error %description -l en_US timestamp -> time stamp, time-stamp, times tamp
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
Rpmlint is ok

Otherwise package looks good.

Please correct all `FIX' items and provide new spec file.
Package NOT approved.

Comment 2 Jitka Plesnikova 2014-09-16 07:39:55 UTC
Do you have any updates?

Comment 3 Jitka Plesnikova 2015-02-26 09:19:37 UTC
Hi Christopher,

As per policy, unless you can respond in a week, I'll close this as a stalled review.

Comment 4 Jitka Plesnikova 2015-03-25 11:06:19 UTC

*** This bug has been marked as a duplicate of bug 1205635 ***


Note You need to log in before you can comment on or make changes to this bug.